### deferred_async_operation< deferred_signatures< Signatures...>, Initiation, InitArgs...>

Encapsulates a deferred asynchronous operation thas has multiple completion signatures.

    template<
        typename... Signatures,
        typename Initiation,
        typename... InitArgs>
    class deferred_async_operation< deferred_signatures< Signatures...>, Initiation, InitArgs...>

##### Member Functions

Name | Description
--- | ---
deferred_async_operation | Construct a deferred asynchronous operation from the arguments to an initiation function object.
detail::index_sequence_for |
operator() | Initiate the asynchronous operation using the supplied completion token.

##### Requirements

Header: `asio/deferred.hpp`

Convenience header: `asio.hpp`